USN-5812-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5812-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5812-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5812-1
Related
Published
2023-01-19T13:52:19.276979Z
Modified
2023-01-19T13:52:19.276979Z
Summary
python-urllib3 vulnerability
Details

It was discovered that urllib3 incorrectly handled certain characters in URLs. A remote attacker could possibly use this issue to cause urllib3 to consume resources, leading to a denial of service.

References

Affected packages

Ubuntu:20.04:LTS / python-urllib3

Package

Name
python-urllib3

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.25.8-2ubuntu0.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-urllib3": "1.25.8-2ubuntu0.2"
        }
    ]
}